Bug 717787 - [apache] Even when Augeas Support is disabled, the plug-in continues to use Augeas
[apache] Even when Augeas Support is disabled, the plug-in continues to use A...
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
All Linux
high Severity high (vote)
: ---
: JON 3.0.0,RHQ 4.3.0
Assigned To: Lukas Krejci
Mike Foley
Depends On:
Blocks: jon3 jon30-sprint8
  Show dependency treegraph
Reported: 2011-06-29 16:55 EDT by Larry O'Leary
Modified: 2012-02-07 14:17 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-02-07 14:17:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Larry O'Leary 2011-06-29 16:55:06 EDT
Even when Augeas support is disabled for an Apache Web Server resource, the Apache plug-in continues to use Augeas in some circumstances.

The loadResourceConfiguration() method of the following classes seems to be the offender:


The expectation is that if Augeas Support is disabled in the plug-in configuration, no method will attempt to use it.
Comment 1 Charles Crouch 2011-08-05 09:11:08 EDT
(8:07:49 AM) lkrejci: ccrouch-afk: ah, no, it isn't - i lied to you the last time ;) the components mentioned in the description just lack the check for augeas being allowed by the user and just use it..
(8:08:04 AM) ccrouch: sigh
(8:08:18 AM) ccrouch: ok, thats going to need fixing too then
(8:08:41 AM) lkrejci: but this is only a issue if you do: 1) inventory apache, 2) enable augeas, 3) change your mind and disable it after a while
(8:08:58 AM) ccrouch: good point
(8:09:11 AM) lkrejci: k, i'll take a look at it now
(8:09:18 AM) lkrejci: shouldn't be a problem
(8:09:30 AM) ccrouch: ok so we should fix it, but its not a blocker i guess
(8:09:55 AM) lkrejci: yea, i don't think it's a blocker
Comment 2 Charles Crouch 2011-09-30 17:55:42 EDT
remove superfluous blocks bz's
Comment 3 Lukas Krejci 2011-11-01 12:09:39 EDT
master: 6f1004a715406241dea681a6a8f6e7d9b5c280f0
release_jon3.x: 761e4c3202da7faabf9a6a1226a6769496d5dac9

    BZ 717787 - Making sure augeas is only ever used if the apache resource
    is allowed to do so.
    Improved the confusing error message when augeas was not enabled that
    stated that apache version is not supported or augeas is not available,
    when in fact neither could be true.
Comment 4 Mike Foley 2012-02-07 14:17:34 EST
changing status of VERIFIED BZs for JON 2.4.2 and JON 3.0 to CLOSED/CURRENTRELEASE

Note You need to log in before you can comment on or make changes to this bug.